Subject: IPP> Major defect in IPPv2 SOW - prototype AFTER approval

From: "Ira McDonald" <[email-masked]>
Date: Mon, 7 Apr 2008 16:44:57 -0400

Hi,

Topic for PWG F2F next week during IPP WG session.

I was just reading the SOW for the IPPv2 project.

This SOW contains a serious violation of the PWG Process/2.0.

In the Definition Stage:

ATTRIB-2 Stable draft document – Q3 2008.
ATTRIB-3 Document ready for PWG approval – Q4 2008.

In the Implementation Stage:

PROT-1 Prototype implementations. – Q2 2009

But a PWG working draft MUST NOT be labeled 'Stable'
until AFTER successful prototyping.

Further, a PWG working draft MUST NOT enter PWG Last Call
and subsequent PWG Formal Approval until AFTER successful
prototyping.

This needs to be fixed.  The one PWG standard ever approved
without prototyping (the Abstract Counter Spec) proved to have
a serious technical error - the PWG Steering Committee should
never go down this road again.

A less important error is that I originally volunteered to be an
editor (when Bill Wagner and I proposed this project) and I'm
not listed in this February SOW.

Lastly, the prefix ATTRIB means Attribute - but we're only
standardizing IPP operations (and perhaps a few important
attributes).  A more appropriate prefix would be OPER.

Also, we may want to produce THREE separate specs,
because otherwise we're going to have to show evidence
of prototyping of all three levels:
IPP/2.0 - Basic Workgroup Printer
IPP/2.1 - Enterprise Printer/Print Server
IPP/2.2 - Production Printer

And that last could hold up voting for a very long time.

Cheers,
- Ira

-- 
Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Blue Roof Music/High North Inc
email: [email-masked]
winter:
 579 Park Place Saline, MI 48176
 734-944-0094
summer:
 PO Box 221 Grand Marais, MI 49839
 906-494-2434